# Notarize a Document

1. The document must be a PDF. If it is not a PDF, convert it to one. Most word processing programs are capable of doing this.
2. Open IPENtool.
3. Click **Add PDF**.
4. Select the PDF to sign and click Open.
5. You should now be able to view the document.
6. You have the option to add signatures, notarial stamps, text, blank pages, and/or notarial certificate blocks to the document. You'll need to fill in your notary profile to use some of these tools; if you haven't yet, click **Settings**, fill in the information, press **Save**, and then press **Close**.
7. Click on the tool you want to use. Some tools have extra steps before they can be applied to the document:
    * **Sign (Client)**: A signature pad will appear. Have the client sign their name on the pad. The **Erase** button clears the pad, and the **Undo** button erases the last stroke. Press **Apply** when the signature is complete.
    * **Add Text**: Type a line of text into the box and press **OK**.
    * **Add Certificate**: The Notarial Certificate Builder popup will open. Fill in the details, and when the preview looks correct, press Apply.
8. After selecting a tool, you'll see a translucent preview of the tool follow your mouse pointer around. Click to select the page you want to apply the tool to (the selected page will have a green border), and click again to apply the tool at the location shown by the preview.
9. When the document is filled out, click **Save Signed PDF**. If this is your first time using IPENtool, you'll need to enter a password and generate a signing key. If you've used IPENtool before, enter your password if prompted. After the signing key is created and/or unlocked, you'll be prompted to save the signed file.
10. After selecting a name and location for the signed file, wait until you see a confirmation message ("File signed and saved"). You may record the SHA256 hash, or part of it, in your journal if you wish.  The hash is a unique code mathematically produced from the signed file; no other file has the same hash. Recording the hash in your journal provides extra proof that you notarized the document.
11. Send the signed file to the client.